Get Meeting Labels

Learn how to retrieve meeting labels by meeting ID or time range using the SeaMeet API.

Overview

This guide shows how to:

  • Retrieve meeting labels by a specific meeting ID.
  • Retrieve meeting labels within a specific time range.

Authorization: API Key

Ensure the following are in place:

1. Generate Your API Key

All APIs require a valid API key issued from your workspace. All requests must include a valid API key in the request header (X-API-Key). Currently the only UI to get an API key is through SeaX.

  • Go to Workspace → API Key tab.

  • Click Add New Key and check seameet as the scope.

  • Copy the key and keep it safe. This key is required in the X-API-Key header for all requests.

API Specification

1. Get Meeting Labels

GET /api/v1/public/meeting/{workspace_id}/meeting_labels

Get meeting labels by meeting_id or time range. Requires an API key with the seameet scope.

Note: You must provide either meeting_id or both start_time and end_time.

FieldTypeDescriptionAllowed Values / ExampleRequired
X-API-Keystring (header)API key for authorization (see Authorization)<your_api_key>
workspace_idstring (path)Workspace ID3fa85f64-5717-4562-b3fc-2c963f66afa6
meeting_idstring (query)Optional, specific meeting ID2b342a6e177d4b139638bc16bd312291
start_timestring (query)Optional, start time of the range2023-01-01T00:00:00
end_timestring (query)Optional, end time of the range2023-01-31T23:59:59
timezonestring (query)Optional, timezone for the time range (default: UTC)Asia/Taipei
offsetinteger (query)Optional, the number of rows to skip (default: 0)0
limitinteger (query)Optional, limit the number of returned meetings (default: 50, min: 1, max: 1000)50

Example

Request by meeting_id:

curl -X 'GET' \
  'https://meet.seasalt.ai/seameet-api/api/v1/public/meeting/<workspace_id>/meeting_labels?meeting_id=<meeting_id>' \
  -H 'accept: application/json' \
  -H 'Authorization: Bearer <your_api_key>'

Request by time range:

curl -X 'GET' \
  'https://meet.seasalt.ai/seameet-api/api/v1/public/meeting/<workspace_id>/meeting_labels?start_time=2026-01-01T00:00:00&end_time=2026-03-31T23:59:59&timezone=Asia/Taipei&offset=0&limit=50' \
  -H 'accept: application/json' \
  -H 'Authorization: Bearer <your_api_key>'

Response:

{
  "data": [
    {
      "meeting_id": "2b342a6e177d4b139638bc16bd312291",
      "labels": [
        {
          "id": "11111111-2222-4444-3333-555555555555",
          "name": "Weekly Meeting",
          "color": "#19b9c3"
        }
      ]
    }
  ],
  "total": 1
}